Skip to main content
`Ctrl`+`K`

# MatMumpsGetOocTmpDir

Get MUMPS out-of-core `OOC_TMPDIR` https://mumps-solver.org/index.php?page=doc

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMumpsGetOocTmpDir(Mat F, const char **tmpdir)

Logically Collective

## Input Parameter

- F - the factored matrix obtained by calling `MatGetFactor()` with a `MatSolverType` of `MATSOLVERMUMPS` and a `MatFactorType` of `MAT_FACTOR_LU` or `MAT_FACTOR_CHOLESKY`.

## Output Parameter

- tmpdir - temporary directory for out-of-core facility.

## Note

The returned string is read-only and user should not try to change it.

## See Also

Matrices, `Mat`, `MatGetFactor()`, `MatMumpsSetOocTmpDir`, `MatMumpsSetIcntl()`, `MatMumpsGetIcntl()`, `MatMumpsSetCntl()`, `MatMumpsGetInfo()`, `MatMumpsGetInfog()`, `MatMumpsGetRinfo()`, `MatMumpsGetRinfog()`

## Level

beginner

## Location

src/mat/impls/aij/mpi/mumps/impl/imumps.c

## Examples

src/ksp/ksp/tutorials/ex52.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages